#
# spec file for package python-makefun
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-makefun
Version:        1.15.1
Release:        2.3
License:        BSD-3-Clause
Summary:        Small library to dynamically create python functions
URL:            https://github.com/smarie/python-makefun
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/m/makefun/makefun-%{version}.tar.gz
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools_scm}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module pytest}
# /SECTION
BuildRequires:  fdupes
Suggests:       python-funcsigs
BuildArch:      noarch

%python_subpackages

%description
Small library to dynamically create python functions.

%prep
%setup -q -n makefun-%{version}
sed -i '/pytest-runner/d' setup.cfg

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/makefun*

%changelog
* Tue Mar 28 2023 pgajdos@suse.com
- python-six is not required
* Sun Mar 26 2023 Dirk Müller <dmueller@suse.com>
- update to 1.15.1:
  * Fixed `ValueError: Invalid co_name` happening on python 2
    when the name of a function to create starts or ends with
    `_` or contains a double `__`
* Fri Dec  2 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to version 1.15.0
  Moved auto signature string to Signature object conversion to wraps. …
    …Added a test.
* Thu Sep 29 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to Version 1.15.0
  More PEP-compliant `wraps` Latest
  wraps now always sets the __wrapped__ attribute, and also sets the __signature__ attribute when the signature changes,
  as specified by PEP 362. PR by #86 by lucaswiman.
- Update to Version 1.14.0
  Support for lambda functions
  create_wrapper, create_function, wraps and with_signature now support lambda functions. They also accept a new parameter
  co_name to define the name to be used in the compiled code. PR #80 by andrewcleveland.
- Update to Version 1.13.1
  - Fixed regression with generators in python 3.5
  - Fixed an issue where using partial on a generator function in python 3.5 was raising a SyntaxError. Fixed #79
- Update to Version 1.13.0
  - Support for async generator functions
    async generator functions are now supported (See PEP525). Fixed #77. PR#78 by broglep-work.
* Tue Dec 14 2021 pgajdos@suse.com
- version update to 1.12.1
  [#]## 1.12.1 - Bugfix
  - Fixed `TypeError` when a `func` attribute is present on the function provided to `create_function`. Fixed [#76]
  [#]## 1.12.0 - Refactoring and consistency improvement
  - Fixed `partial` so that :
  - when no argument is provided, it is equivalent to `wraps(f)(f)`. That is, the `__wrapped__` attribute is set. Fixed [#73]
  - it sets the `func` attribute just as `functools.partial` does. Fixed [#75]
  - Removed `pytest-cases` dependency as it was a circular one. Fixed [#68]
  - Now using `flake8` for qualimetry and `genbadge` for badges. Fixed [#71]
  - Restructured project so that tests are truly independent, to ease rpm/apt/etc. packaging. Fixed [#69]
- test the package
* Thu May  6 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- Initial package for version 1.11.3
